%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		axc
Version:	0.3.7
Release:	%mkrel 2
License:	GPL-3.0-or-later
Group:		System/Libraries
Summary:	Client library for libsignal-protocol-c
URL:		https://github.com/gkdr/axc
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Add-CMake-build-system.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libsignal-protocol-c)
BuildRequires:	pkgconfig(sqlite3)

%description
Client library for libsignal-protocol-c, implementing the
needed database and crypto interfaces using SQLite and gcrypt.
Initially, the libsignal-protocol-c project was named
libaxolotl, hence the name axc.

Additionally it provides utility functions for common use
cases like encrypting and decrypting, ultimately making direct
use of libsignal-protocol-c unnecessary.

#------------------------------------------------

%package -n	%{libname}
Summary:	Client library for libsignal-protocol-c
Group:		System/Libraries

%description -n	%{libname}
Client library for libsignal-protocol-c, implementing the
needed database and crypto interfaces using SQLite and gcrypt.
Initially, the libsignal-protocol-c project was named
libaxolotl, hence the name axc.

Additionally it provides utility functions for common use
cases like encrypting and decrypting, ultimately making direct
use of libsignal-protocol-c unnecessary.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DAXC_INSTALL:BOOL=ON \
    -DAXC_WITH_PTHREADS:BOOL=ON \
    -DAXC_WITH_TESTS:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.7-2.mga10
+ Revision: 2218338
- Mageia 10 Mass Rebuild

* Wed May 24 2023 daviddavid <daviddavid> 0.3.7-1.mga9
+ Revision: 1957905
- initial package axc (needed for purple-lurch)

